#!/bin/bash

source util/travis_push.sh

if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip docs]"* ]] ; then 
	if git diff --name-only ${TRAVIS_COMMIT_RANGE} | grep -e '^quantum/' -e '^tmk_core/' -e '^docs/internals_.*'; then
		echo "Generating internal docs..."
		rm -rf doxygen
		doxygen Doxyfile
		moxygen -q -a -g -o docs/internals_%s.md doxygen/xml
		git add docs/internals_*
		git commit -m'autogenerated internal docs for ${TRAVIS_COMMIT_RANGE}' || true
	fi

	# make sure vuepress is installed
	if ! vuepress 2>&1 > /dev/null; then
		if ! npm 2>&1 > /dev/null; then
			echo ABORT! We need npm installed!
			exit 1
		fi
		npm install -g vuepress
	fi

	# build
	npm run docs:build

	# Publish the docs
	#cd docs/.vuepress/dist
	#echo 'docs.qmk.fm' > CNAME
	#git init
	#git add -A
	#git commit -m 'docs gh-pages deploy'
	#git push -f git@github.com:<USERNAME>/<REPO>.git master:gh-pages
	#cd -
fi
